﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;

namespace DocumentWindowClosing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Docking.WindowClosing += new WindowClosingEventHandler(Docking_WindowClosing);
            (Docking.DocContainer as DocumentContainer).DocumentClosing += new CancelingRoutedEventHandler(MainWindow_DocumentClosing);
        }

        void Docking_WindowClosing(object sender, WindowClosingEventArgs e)
        {
            e.Cancel = true;
        }

        void MainWindow_DocumentClosing(object sender, CancelingRoutedEventArgs e)
        {
            e.Cancel = true;
        }        
    }
}
